# This file is part of node_annotator.
#
# node_annotator is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# node_annotator is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with node_annotator.  If not, see <http://www.gnu.org/licenses/>.

# <pep8 compliant>

import os


def get_preferences(context):
    preferences = context.preferences
    addon_prefs = preferences.addons[__package__].preferences
    return addon_prefs

# We cache the git version, so we don't need to touch everytime the preferences panel draws down to the file-system
_cached_deployment_version = None

def get_deployment_version():
    global _cached_deployment_version
    if _cached_deployment_version is None:
        script_dir = os.path.dirname(os.path.realpath(__file__))
        deployment_version_filename = os.path.join(script_dir, "deployment-version.txt")
        try:
            with open(deployment_version_filename) as f:
                _cached_deployment_version = f.read()
        except OSError:
            _cached_deployment_version = "Unknown"
    return _cached_deployment_version
